Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 594626 - 'ccs_tool create -n <x>' creates <x-1> skeleton entries
'ccs_tool create -n <x>' creates <x-1> skeleton entries
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Fabio Massimo Di Nitto
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 04:14 EDT by Christine Caulfield
Modified: 2010-11-10 14:59 EST (History)
6 users (show)

See Also:
Fixed In Version: cluster-3.0.12-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:59:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christine Caulfield 2010-05-21 04:14:12 EDT
Description of problem:

the command
# ccs_tool create -n <x> clustername
is supposed to create a skeleton cluster.conf with <x> nodes in it. In fact it creates one with <x-1> nodes.

Version-Release number of selected component (if applicable):
Probably all versions of ccs_tool with the create command!

How reproducible:
Easily

Steps to Reproduce:
1. ccs_tool create -n 3 mycluster
  
Actual results:
A cluster.conf file with 2 nodes in it.

Expected results:
A cluster.conf file with 3 nodes in it.
Comment 1 Christine Caulfield 2010-05-21 04:14:55 EDT
This fixed in STABLE3 here:

commit 1878f0bbffcf60f00a93bf2ac806af3caae86a49
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Fri May 21 09:09:26 2010 +0100

    config: Fix ccs_tool create -n
Comment 2 RHEL Product and Program Management 2010-05-21 04:41:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 releng-rhel@redhat.com 2010-11-10 14:59:18 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.